### Method

# Json Generator to_file

#### Declaration [src]

    gboolean
    json_generator_to_file (
      JsonGenerator* generator,
      const gchar* filename,
      GError** error
    )

#### Description [src]

Creates a JSON data stream and puts it inside `filename`, overwriting the file’s current contents.

This operation is atomic, in the sense that the data is written to a temporary file which is then renamed to the given `filename`.

#### Parameters

`filename`

  Type: `const gchar*`

  The path to the target file.

  The data is owned by the caller of the function.
  The value is a file system path, using the OS encoding.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if saving was successful.